# Lyo Store support for the Bugzilla OSLC adaptor

> **WARNING!** The project uses a [pre-release 0.x version](https://gitlab.com/kth-mda/lyo/jena-cache) of the library that later became Lyo Store.

## Setup

1. Update the SPARQL URI in `/test/resources/bugz.properties` (or switch to the TDB implementation).
2. Request URL `/BugzillaCachedAdaptor/services/cache/update` to trigger the fetching of updates as specified in the settings.

## License

> Copyright (c) 2023 KTH Royal Institute of Technology
> 
> This program and the accompanying materials are made available under the 
> terms of the Eclipse Public License 2.0 which is available at
> http://www.eclipse.org/legal/epl-2.0.
> 
> SPDX-License-Identifier: EPL-2.0

This project uses code from the Eclipse Lyo project dual-licensed under `EPL-1.0 OR BSD-3-Clause`. We chose to use that code under the terms of `EPL-1.0`.

> Copyright (c) 2012 IBM Corporation and Contributors to the Eclipse Foundation.
> 
>  All rights reserved. This program and the accompanying materials
>  are made available under the terms of the Eclipse Public License v1.0
>  and Eclipse Distribution License v. 1.0 which accompanies this distribution.
>  
>  The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
>  and the Eclipse Distribution License is available at
>  http://www.eclipse.org/org/documents/edl-v10.php.
> 
> SPDX-License-Identifier: EPL-1.0 OR BSD-3-Clause